Bug 102502 - Oopses and kernel BUGs near firstboot
Oopses and kernel BUGs near firstboot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 20:25 EDT by John Reiser
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-16 09:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from first boot after install (90.40 KB, text/plain)
2003-08-15 20:27 EDT, John Reiser
no flags Details
/var/log/dmesg from first boot (30.19 KB, text/plain)
2003-08-15 20:29 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2003-08-15 20:25:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Fresh install of Taroon.  Firstboot does not get to graphics display, instead
about 16 oopses and 16 "kernel BUG" scroll by on console, and multi-user GUI
login screen appears.


Version-Release number of selected component (if applicable):
kernel-2.4.21-1.1931.2.349.2.2.ent.athlon.rpm

How reproducible:
Didn't try

Steps to Reproduce:
1. Fresh install Taroon on Athlon-plain, SIS730, 768MB RAM.
2. Boot and wait until "firstboot" attempts to run.
3.
    

Actual Results:  About 16 oopses and 16 "kernel BUG" messages scroll by on
console, and firstboot does not get to GUI display (no create non-superuser, no
sound check, no date+time setting, etc.)

Expected Results:  Firstboot graphical dialogs.

Additional info:

CD-ROMs passed MediaCheck.
Comment 1 John Reiser 2003-08-15 20:27:48 EDT
Created attachment 93678 [details]
/var/log/messages from first boot after install
Comment 2 John Reiser 2003-08-15 20:29:00 EDT
Created attachment 93679 [details]
/var/log/dmesg from first boot 

Beware wrap-around.
Comment 3 Arjan van de Ven 2003-08-16 08:41:59 EDT
We've seen (and fixed) some CPU interaction bug on athlons in this kernel (and
we're working with AMD to find what's happening); installing the i686 kernel
instead will make that bug go away; could you do that to verify it's the same
bug you're seeing ?
Comment 4 John Reiser 2003-08-16 09:38:19 EDT
Last night I ran 'up2date' instead.  The problem has gone away with kernel:
-----
$ uname -a
Linux taroon 2.4.21-1.1931.2.393.ent #1 Wed Aug 13 21:38:34 EDT 2003 i686 athlon
i386 GNU/Linux
-----
Comment 5 Arjan van de Ven 2003-08-16 09:43:59 EDT
yep that has a workaround as well...

Note You need to log in before you can comment on or make changes to this bug.